#include <iostream>
#include "vector"
#include "svg.h"
#include "histogram.h"
#include "curl/curl.h"
using namespace std;




struct Input {
    vector<double> numbers;
    size_t bin_count{};
};


Input
input_data(istream& inn, bool promt) {
    size_t number_count;
     if (promt)
    {
        cerr << "Enter number count: ";
    }
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
 if (promt)
    {
        cerr << "Enter bins number: ";
    }
    cin >> in.bin_count;
    return in;
}

int main(int argc, char* argv[]) {
    curl_global_init(CURL_GLOBAL_ALL);
    if (argc > 1)
    {
        CURL *curl = curl_easy_init();
        if(curl)
        {
            CURLcode res;
            curl_easy_setopt(curl, CURLOPT_URL, argv[1]);
            res = curl_easy_perform(curl);
            curl_easy_cleanup(curl);
            if (res != CURLE_OK){
                cout << curl_easy_strerror;
                exit(1);
            }
        }
        return 0;
    }
    auto in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    //show_histogram_text(bins, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
